<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
$time=time();

//---------------------- ------------------------------//
if(!isset($action)){
	
	
echo '<img src="../images/img/partners.gif" alt=""> <b><font color="#FFFF00"> Список админов и модеров</font></b><br><br>';


$dir = opendir ("../local/profil"); 
while ($file = readdir ($dir)) 
{if (ereg (".prof$", $file)) 
{$a[]=$file;}} 
closedir ($dir); 		
$total = count($a); 



for ($i = 0; $i < $total; $i++){
$tex = file("../local/profil/$a[$i]");
$data = explode(":||:",$tex[0]);
if($data[7]>=101 && $data[7]<=105){
$a[$i]=str_replace(".prof","",$a[$i]); 	
$dat_user[]=$a[$i];
$dat_status[]=$data[7];
}}

arsort($dat_user);	

foreach($dat_status as $k=>$v)
{
$gg++;
echo $gg.'. <b><a href="../pages/anketa.php?uz='.$dat_user[$k].'&amp;'.SID.'"> '.$dat_user[$k].' </a></b> ('.user_status($dat_status[$k]).')<br>';	
if ($dostup==101){
echo '<img src="../images/img/edit.gif" alt=""> <a href="users.php?action=edit&amp;users='.$dat_user[$k].'&amp;'.SID.'">Изменить</a><hr>';
}}
	
	
	
}



echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
